.root {
    -fx-accent: rgb(0, 122, 255);
    -fx-backgroud-color: rgb(250, 252, 255);
    -fx-font-size: 16;
}

VBox {
    -fx-alignment: center;
}

.check-box .mark {
    -fx-shape: "M0,4H2L3,6L6,0H8L4,8H2Z";
}

.slider {
    -fx-show-tick-labels: true;
    -fx-major-tick-unit: 1;
}

.invalid-input {
    -fx-border-color: rgb(255, 59, 48);
    -fx-background-insets: 0;
    -fx-background-radius: 4;
    -fx-border-radius: 3;
    -fx-text-fill: rgb(255, 59, 48);
}

.progress-bar {
    -fx-pref-height: 35;
    -fx-pref-width: 300;
}

/* TEXT FIELD */

.text-field {
    -fx-background-color: -fx-text-box-border, -fx-control-inner-background;
}

/* CHECK BOX - COMBO BOX - BUTTON */

.check-box .box,
.combo-box,
.button,
.check-box .box:hover,
.combo-box:hover,
.button:hover,
.check-box .box:pressed,
.combo-box:pressed,
.button:pressed {
    -fx-background-insets: 0;
    -fx-background-radius: 4;
    -fx-border-color: rgb(200, 202, 204);
    -fx-border-radius: 3;
}

.check-box .box,
.combo-box,
.button {
    -fx-background-color: rgb(255, 255, 255);
}

.check-box .box:hover,
.combo-box:hover,
.button:hover {
    -fx-background-color: rgb(250, 252, 254);
}

.check-box .box:pressed,
.combo-box:pressed,
.button:pressed {
    -fx-background-color: rgb(245, 249, 253);
    -fx-border-color: transparent;
}

/* BUTTON */

.blue {
    -fx-background-color: rgb(0, 122, 255);
    -fx-text-fill: white;
}

.blue:hover {
    -fx-background-color: rgb(0, 140, 255);
}

.blue:pressed {
    -fx-background-color: rgb(0, 115, 230);
}

/* GENERIC */

.control {
    -fx-max-height: 35;
    -fx-max-width: 300;
    -fx-pref-height: 35;
    -fx-pref-width: 300;
}

.group {
    -fx-spacing: 20;
}

.container {
    -fx-pref-height: 500;
    -fx-pref-width: 800;
    -fx-max-height: 500;
    -fx-max-width: 800;
    -fx-min-height: 500;
    -fx-min-width: 800;
    -fx-spacing: 8;
}

/* SLIDER */

.slider {
    -fx-background-color: transparent;
}

.slider .track {
    -fx-background-insets: 0;
    -fx-background-radius: 6;
    -fx-border-color: rgb(200, 202, 204);
    -fx-border-radius: 100%;
    -fx-background-color: rgb(255, 255, 255);
}

.slider .thumb {
    -fx-effect: null;
    -fx-border-color: rgb(200, 202, 204);
    -fx-border-radius: 100%;
    -fx-background-color: rgb(255, 255, 255);
}

/* SCROLL BAR */

.scroll-bar:horizontal, 
.scroll-bar:vertical{
    -fx-background-color: transparent;
}

.scroll-bar:horizontal .track, 
.scroll-bar:vertical .track {
    -fx-background-color: transparent;
    -fx-border-color: transparent;
    -fx-background-radius: 0.0;
}

.scroll-bar:horizontal .increment-button, 
.scroll-bar:horizontal .decrement-button {
    -fx-background-color: transparent;
    -fx-background-radius: 0.0;
    -fx-padding: 0.0 0.0 10.0 0.0;
}

.scroll-bar:vertical .increment-button, 
.scroll-bar:vertical .decrement-button {
    -fx-background-color: transparent;
    -fx-background-radius: 0.0;
    -fx-padding: 0.0 10.0 0.0 0.0;
}

.scroll-bar .increment-arrow, 
.scroll-bar .decrement-arrow {
    -fx-shape: " ";
    -fx-padding: 0.15em 0.0;
}

.scroll-bar:vertical .increment-arrow, 
.scroll-bar:vertical .decrement-arrow {
    -fx-shape: " ";
    -fx-padding: 0.0 0.15em;
}

.scroll-bar:horizontal .thumb, 
.scroll-bar:vertical .thumb {
    -fx-background-color: derive(black, 70%);
    -fx-background-insets: 2.0, 0.0, 0.0;
    -fx-background-radius: 5.0;
}

.scroll-bar:horizontal .thumb:hover, 
.scroll-bar:vertical .thumb:hover {
    -fx-background-color: derive(#505050, 10%);
    -fx-background-insets: 2.0, 0.0, 0.0;
    -fx-background-radius: 5.0;
}